Subject: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Oct 2020 08:05:52 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> For example, if a commit fixed a typo in a doc string, I'd much rather
>>> see the commit that added that text than the one that fixed the typo.
>
> I think I'd want commits like that included in git blame...
>
>> In short, the more I think about this feature, the less it makes sense
>> to me to use it in our project.  It's probably fine for a
>> single-developer projects, where the preferences are never in
>> conflict.  But ours is a very different project.
>
> If Emacs was a project that did extensive "janitorial" fixups, then it
> might make more sense.  For instance, if we were to fix all whitespace
> to be consistent, then having a way to ignore that would be nice.  But
> we don't, so I'm not sure adding a .git-blame-ignore-revs file helps us
> much.
>
> The only thing I'd want to use such a file for would be for things that
> really are 100% non-functional: Whitespace changes and spelling fixes
> for comments.
>
> So I don't think such a file would help the Emacs project.

You both make good points.

I guess the logical conclusion here is to close this bug as wontfix.